Skip to main content
GET
/
v1
/
aster
/
fapi
/
v3
/
order
Query Order V3
curl --request GET \
  --url https://api.hypereth.io/v1/aster/fapi/v3/order \
  --header 'Authorization: <api-key>'
{
  "avgPrice": "<string>",
  "clientOrderId": "<string>",
  "cumQuote": "<string>",
  "executedQty": "<string>",
  "orderId": 123,
  "origQty": "<string>",
  "origType": "<string>",
  "price": "<string>",
  "reduceOnly": true,
  "side": "<string>",
  "positionSide": "<string>",
  "status": "<string>",
  "stopPrice": "<string>",
  "closePosition": true,
  "symbol": "<string>",
  "time": 123,
  "timeInForce": "<string>",
  "type": "<string>",
  "activatePrice": "<string>",
  "priceRate": "<string>",
  "updateTime": 123,
  "workingType": "<string>",
  "priceProtect": true
}

Documentation Index

Fetch the complete documentation index at: https://docs.hypereth.io/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

Authorization
string
header
required

Web3 authentication using user, signer, nonce, and signature parameters

Query Parameters

symbol
string
required
orderId
integer<int64>
origClientOrderId
string
user
string
required

Ethereum address

Pattern: ^0x[a-fA-F0-9]{40}$
signer
string
required

Signer Ethereum address

Pattern: ^0x[a-fA-F0-9]{40}$
nonce
string
required

Microsecond timestamp

signature
string
required

Ethereum signature

Pattern: ^0x[a-fA-F0-9]{130}$
recvWindow
integer<int64>
timestamp
integer<int64>
required

Response

200 - application/json

Order information

avgPrice
string
clientOrderId
string
cumQuote
string
executedQty
string
orderId
integer<int64>
origQty
string
origType
string
price
string
reduceOnly
boolean
side
string
positionSide
string
status
string
stopPrice
string
closePosition
boolean
symbol
string
time
integer<int64>
timeInForce
string
type
string
activatePrice
string
priceRate
string
updateTime
integer<int64>
workingType
string
priceProtect
boolean